Postgres Installer

Postgres Installer provides a standalone, user-friendly installation for PostgreSQL based on a GUI. Postgres Installer is available for PostgreSQL 9.5, 9.6, 10, 11 and 12 (beta).

LIVE Webinar - Migration to PostgreSQL Join us on Wednesday, June 26, 2019 at 4pm UTC Spots are limited, books yours today!

Download and Install

9.5 – 9.6 – 10  1112 (beta)

9.5 – 9.6 – 10  1112 (beta)

9.5 – 9.6 – 10  1112 (beta)

Postgres Installer Features

Supported Platforms

Linux

  • RHEL7
  • CentOS7
  • Ubuntu Bionic, Xenial and Trusty
  • Fedora 26, Fedora 27
  • OpenSUSE 13.x
  • Debian Stretch and Jessie

Windows

  • Windows 8
  • Windows 10

macOS

  • 10 and above

Known Issues

  • Postgres Installer binaries are linked to libreadline v6 and psql will fail to launch on platforms where this version is not available by default. Example platforms are Debian Stretch (9) and Ubuntu Bionic (18.04). Workaround for such platforms is to create a symlink from libreadline.so.7 to libreadline.so.6.
  • The following PostGIS extensions are currently supported only on Windows.
    • postgis_sfcgal
    • address_standardizer

Support for other platforms will be added in later versions.

Feedback

For feedback or queries related to Postgres Installer, email us at [email protected].

Why 2ndQuadrant?

2ndQuadrant provides PostgreSQL solutions for the Enterprise. Our support engineers have over 100 years of combined code contributions to the PostgreSQL project, making us the only company to contribute enterprise features to all of the last 13 releases.

This is paired with 17+ years of hands-on experience through client engagements and allows us to integrate customized solutions with our customers – making 2ndQuadrant the Gold Standard for PostgreSQL products & services.

To request more information about Postgres Installer and other 2ndQuadrant products please complete the contact form below and we will have someone contact you as soon as possible!